<?php

jquery_ui_add(array('ui.draggable','ui.droppable','ui.sortable'));
drupal_add_js(drupal_get_path('module','wysiwyg').'/wysiwyg.admin_toolbar.js');
drupal_add_css(drupal_get_path('module','wysiwyg').'/wysiwyg.admin_toolbar.css');
drupal_add_js(array('wysiwyg_admin' => array(
  'callbackUrl' => url('admin/settings/wysiwyg/profile/'.arg(4).'/toolbar/save'),
  'toolbar' => $toolbar
)),'setting');

?>
<div id="wysiwyg-toolbar-designer">
  <h4><?php echo t('Toolbar') ?> <a class="add-toolbar-group" href="javascript:;">&nbsp;</a></h4>
  <div id="toolbar-groups"></div>

  <div class="warning">
    <span class="warning">*</span> <?php echo t('Changes will not be saved until the form is submitted.') ?>
  </div>

  <div id="toolbar-actions">
    <input id="save-design" type="button" value="<?php echo t('Save') ?>"/>
    <input id="reset-design" type="button" value="<?php echo t('Reset') ?>"/>
    <div class="ahah-progress ahah-progress-throbber"><div class="throbber">&nbsp;</div></div>
  </div>

  <div class="toolbar-group-template">
    <a href="javascript:;" class="group-handler handler">&nbsp;</a>
    <a href="javascript:;" class="remove-group">&nbsp;</a>
  </div>

  <h4><?php echo t('Buttons') ?></h4>
  <div id="toolbar-available-buttons">
    <?php foreach ($buttons as $button): ?>
    <span class="wysiwyg-button wysiwyg-button-<?php echo $button['plugin'] . '-' . $button['button']?>"><a href="javascript:;" class="handler">&nbsp;</a><?php echo $button['title'] ?></span>
    <?php endforeach;?>
  </div>
</div>